Bug 197020 - pstack package just a symlink and manpage (and noarch)
pstack package just a symlink and manpage (and noarch)
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pstack (Show other bugs)
5
All Linux
medium Severity low
: ---
: ---
Assigned To: Jan Kratochvil
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-27 23:44 EDT by David Carlson
Modified: 2008-02-20 04:56 EST (History)
1 user (show)

See Also:
Fixed In Version: gdb-6.7.1-13.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 04:56:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Carlson 2006-06-27 23:44:52 EDT
This is a noarch package - it's just a symbolic link to a bash script in gdb.   

Can the manpage and the symlink be rolled into the gdb package?

$ for file in `rpm -ql pstack`; do file $file ; done
/usr/bin/pstack: symbolic link to `gstack'
/usr/share/man/man1/pstack.1.gz: gzip compressed data, from Unix, max compression
Comment 1 Roland McGrath 2007-11-18 20:16:41 EST
I think the dummy package had to continue to exist for packaging/upgrade
reasons, but those might no longer apply or there may be a better way to resolve
them now.  I'm not entirely sure that it's necessarily desireable to roll it in.
 The status quo makes it possible to replace pstack with a different package
that can sit alongside gdb.  I'll leave the details to Jan, who maintains the
gdb package.
Comment 2 Jan Kratochvil 2008-02-20 04:56:48 EST
=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Updating:
 gdb                     x86_64     6.7.1-13.fc9     rhts-custom2      3.2 M

Running Transaction
  Updating  : gdb                          ######################### [1/3]
  Cleanup   : gdb                          ######################### [2/3]
  Erasing   : pstack                       ######################### [3/3]

# The last Rawhide release was (no dist tag) pstack-1.2-7.2.2
Obsoletes: pstack < 1.2-7.2.2.1
Provides: pstack = 1.2-7.2.2.1

# pstack obsoletion
cp -p %{SOURCE3} $RPM_BUILD_ROOT%{_mandir}/man1/gstack.1
ln -s gstack.1.gz $RPM_BUILD_ROOT%{_mandir}/man1/pstack.1.gz
ln -s gstack $RPM_BUILD_ROOT%{_bindir}/pstack

%files
%{_bindir}/pstack
%{_mandir}/*/pstack.1*

* Wed Feb 20 2008 Jan Kratochvil <jan.kratochvil@redhat.com> - 6.7.1-13
- pstack obsoleted by included gstack (BZ 197020).

There was no real functionality already in pstack-1.2-7.2.2.x86_64:
lrwxrwxrwx    1 root    root                6 Jul 13  2006 /usr/bin/pstack -> gstack
-rw-r--r--    1 root    root              887 Jul 13  2006
/usr/share/man/man1/pstack.1.gz

Going to ask the Fedora release engineering to remove the pstack package from 
Koji(+Bugzilla?).

Note You need to log in before you can comment on or make changes to this bug.